# Copyright 2023- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)
from openupgradelib import openupgrade


@openupgrade.migrate()
def migrate(env, version):
    # Rename models to preserve fields during upgrade
    openupgrade.rename_models(
        env.cr, [("acc.repartition.keys", "acc.repartition.keys.file")]
    )
    openupgrade.rename_tables(
        env.cr, [("acc_repartition_keys", "acc_repartition_keys_file")]
    )
