/** @odoo-module */
import {KanbanController} from "@web/views/kanban/kanban_controller";
import {registry} from "@web/core/registry";
import {kanbanView} from "@web/views/kanban/kanban_view";
export class PriorityGroupKanbanController extends KanbanController {
  setup() {
    super.setup();
  }

  async CreatePriorityGroupClick() {
    self = this;
    this.actionService.doAction(
      {
        type: "ir.actions.act_window",
        res_model: "acc.priority.group",
        name: "Creer un groupe de priorité",
        view_mode: "form",
        view_type: "form",
        views: [[false, "form"]],
        target: "new",
        res_id: false,
        context: this.props.context || {},
      },
      {
        onClose: async () => {
          await self.model.root.load();
          self.render(true);
        },
      }
    );
  }
}

registry.category("views").add("button_in_kanban", {
  ...kanbanView,
  Controller: PriorityGroupKanbanController,
  buttonTemplate: "button_priority_group.KanbanView.Buttons",
});
