{
    "name": "OACC - clés de répartions",
    "summary": "Module de gestion des clés de répartitions enedis OACC",
    "author": "Le Filament",
    "website": "https://le-filament.com",
    "version": "16.0.2.0.0",
    "license": "AGPL-3",
    "depends": ["oacc", "api_enedis_acc", "queue_job"],
    "data": [
        "security/ir.model.access.csv",
        "security/security.xml",
        # datas
        # wizard
        "wizard/acc_repartition_keys_file_wizard_views.xml",
        "wizard/acc_repartition_keys_compute_wizard_views.xml",
        # views
        "views/acc_operation_views.xml",
        "views/acc_repartition_keys_views.xml",
        "views/acc_priority_group_counter_views.xml",
        "views/acc_priority_group_views.xml",
        "views/acc_repartition_counter_views.xml",
        # views menu
        "views/menu_views.xml",
    ],
    "assets": {
        "web.assets_backend": [
            "/oacc_repartition_keys/static/src/js/kanban_button.js",
            "/oacc_repartition_keys/static/src/xml/kanban_button.xml",
            "/oacc_repartition_keys/static/src/css/custom.css",
        ],
    },
    "installable": True,
    "auto_install": False,
}
