from odoo import fields, models


class AccRepartitionKeysFile(models.Model):
    _name = "acc.repartition.keys.file"
    _description = "Fichier de clés de repartition"
    _order = "date_send DESC, id DESC"

    # ------------------------------------------------------
    # Fields declaration
    csv_file = fields.Binary("Contenu du fichier CSV", required=True)
    filename = fields.Char("Nom du fichier", required=True)
    date_send = fields.Date("Date de l'envoi des clés", default=None)
    operation_id = fields.Many2one("acc.operation", "Opération", required=True)

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
